summaryrefslogtreecommitdiffstats
path: root/src/ci/docker/scripts/crosstool-ng-git.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/ci/docker/scripts/crosstool-ng-git.sh')
-rw-r--r--src/ci/docker/scripts/crosstool-ng-git.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/src/ci/docker/scripts/crosstool-ng-git.sh b/src/ci/docker/scripts/crosstool-ng-git.sh
new file mode 100644
index 000000000..449cc476f
--- /dev/null
+++ b/src/ci/docker/scripts/crosstool-ng-git.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -ex
+
+URL=https://github.com/crosstool-ng/crosstool-ng
+REV=943364711a650d9b9e84c1b42c91cc0265b6ab5c
+
+mkdir crosstool-ng
+cd crosstool-ng
+git init
+git fetch --depth=1 ${URL} ${REV}
+git reset --hard FETCH_HEAD
+./bootstrap
+./configure --prefix=/usr/local
+make -j$(nproc)
+make install
+cd ..
+rm -rf crosstool-ng